Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007782 [DCSS] Bug Report minor always 2013-11-25 00:00 2013-11-29 20:50
Reporter minmay View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007782: Tree form drowns in lava, but not in deep water
Description A tree that falls into deep water (e.g. from quaffing lignification over it) does not drown, but one that falls into lava with rF+ does.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0024487)
KiloByte (manager)
2013-11-25 00:19

So where's the bug?
(0024489)
Reaver (developer)
2013-11-25 00:35
edited on: 2013-11-25 00:36

It's much more screwy than that. Turning into a tree while over Deep Water doesn't drown you, but you can't move to other deep water squares. If you don't have rF+, drinking the potion of lignification over lava instakills you without a prompt, unless you can scramble out of it (which trees can still do.) etc.

(0024518)
KiloByte (manager)
2013-11-28 00:04

Refactored and fixed.

- Issue History
Date Modified Username Field Change
2013-11-25 00:00 minmay New Issue
2013-11-25 00:19 KiloByte Note Added: 0024487
2013-11-25 00:35 Reaver Note Added: 0024489
2013-11-25 00:36 Reaver Note Edited: 0024489
2013-11-28 00:04 KiloByte Note Added: 0024518
2013-11-28 00:04 KiloByte Status new => resolved
2013-11-28 00:04 KiloByte Fixed in Branch => 0.14 development branch
2013-11-28 00:04 KiloByte Resolution open => done
2013-11-28 00:04 KiloByte Assigned To => KiloByte
2013-11-29 20:50 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker